/* Exemplet visar en konstant och några funktioner som finns i objektet Math.
   Framför allt tas slumptal och omvandling till heltal upp, vilket sedan kommer
   användas i flera andra exempel. */
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	console.log( Math.PI );
	let radius = 2;
	let area = radius ** 2 * Math.PI; // Cirkelns area
	console.log(area);

	let a = 4;
	let b = 3;
	let c = Math.sqrt(a ** 2 + b ** 2); // Pythagaros sats för beräkning av hypotenusan
	console.log(c);

	console.log( "Math.round(area) = " + Math.round(area) ); // Avrunda till närmsta heltal
	console.log( "Math.floor(area) = " + Math.floor(area) ); // Avrunda nedåt till heltal
	console.log( "Math.ceil(area) = " + Math.ceil(area) );  // Avrunda uppåt till heltal

    // ----- Slumptal -----

    let r = Math.random(); // Slumptal mellan 0.000... och 0.999...
	console.log(r);

	r = Math.floor(6 * Math.random()); // Slumptal avrundat till heltal mellan 0 och 5
	// 6*0 till 6*0.999 ger tal mellan 0.000 till 5.999
	// Math.floor klipper bort decimaldelen, vilket ger ett heltal i intervallet 0 till 5
	console.log(r);

	// Använder man Math.round får man:
	// 0--0.49=0, 0.5--1.49=1, 1.5--2.49=2, ... , 5.5-5.99=6
	// Alltså 7 heltal i intervallet 0--6 och lägre chans för 0 och 6.

	// Använder man Math.ceil får man:
	// 0=0, 0.001--1=1, 1.001-2=2, ... , 5.001-5.999=6
	// Även här 7 heltal i intervallet 0-6, men med mycket liten chans till 0.

	// Slutsts: för avrundning av slumptalet till heltal ska man använda Math.floor.

    // Se även bilden slumptal.png i mappen img.
    
	r = Math.floor(6 * Math.random()) + 1; // Slumptal avrundat till heltal mellan 1 och 6
	console.log(r);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
